Bug 161872 - Port security/clamav requires libcheck as dependence even if TEST option is off
Summary: Port security/clamav requires libcheck as dependence even if TEST option is off
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-21 12:40 UTC by Alexey Markov
Modified: 2011-11-19 14:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2011-10-21 12:40:08 UTC
Port security/clamav requires deve/libcheck as dependence even if TESTS option is off.

Fix: 

-.if ${OSVERSION} >= 700000
+.if defined(WITH_TESTS) && ${OSVERSION} >= 700000
 BUILD_DEPENDS+=        ${LOCALBASE}/include/check.h:${PORTSDIR}/devel/libcheck
 CONFIGURE_ARGS+=--enable-check
 .else--RvIW8TOiFHZ7YGVOwgxzeSfXzgDsU74kemz28KgkENCYKqun
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.old        2011-10-19 16:07:37.000000000 +0400
+++ Makefile    2011-10-21 15:13:33.000000000 +0400
@@ -192,7 +192,7 @@
 CFLAGS+=       -march=i486
 .endif
How-To-Repeat: cd /usr/ports/security/clamav
make config (and set TESTS option to off)
make all-depends-list
Comment 1 Edwin Groothuis freebsd_committer 2011-10-21 12:40:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 R.Mahmatkhanov 2011-10-21 19:12:09 UTC
Alexey Markov wrote on 21.10.2011 15:34:

> -.if ${OSVERSION}>= 700000
> +.if defined(WITH_TESTS)&&  ${OSVERSION}>= 700000
>   BUILD_DEPENDS+=        ${LOCALBASE}/include/check.h:${PORTSDIR}/devel/libcheck
>   CONFIGURE_ARGS+=--enable-check
>   .else

Hi, Alexey.

It should just depend on libcheck unconditionally, because we doesn't 
support FreeBSD < 7.0 anyway.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 3 Alexey Markov 2011-10-22 07:38:35 UTC
Maybe you are right, but this PR about another issue.

I mean, according to a Makefile "make check" occurs
only when the option TESTS is on, but libcheck added
to dependences list unconditionally. Proposed patch add
it only when TESTS option is on.

-- 
WBR, Alexey Markov.
Comment 4 dfilter service freebsd_committer 2011-11-19 14:22:34 UTC
garga       2011-11-19 14:22:25 UTC

  FreeBSD ports repository

  Modified files:
    security/clamav      Makefile 
    security/clamav-devel Makefile 
  Log:
  - Remove unecessary dependency (libcheck) when option TESTS is off [1]
  - Add clamav-milter as CONFLICTS, this new meta port will be added soon
  
  PR:             ports/161872
  Submitted by:   Alexey Markov <redrat@mail.ru>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.208     +2 -2      ports/security/clamav-devel/Makefile
  1.169     +2 -2      ports/security/clamav/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Renato Botelho freebsd_committer 2011-11-19 14:26:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!